Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.webapp
Interface Configuration

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractConfiguration, Configuration, EnvConfiguration, Jetty6MavenConfiguration, Jetty6MavenTagLibConfiguration, JettyWebXmlConfiguration, TagLibConfiguration, WebInfConfiguration, WebXmlConfiguration

    public interface Configuration

extends Serializable

Base Class for WebApplicationContext Configuration. This class can be extended to customize or extend the configuration of the WebApplicationContext. If WebApplicationContext.setConfiguration is not called, then an XMLConfiguration instance is created.

Author:
  gregw

Method Summary
`void` | `configureClassLoader()` Configure ClassPath.
`void` | `configureDefaults()` Configure Defaults.
`void` | `configureWebApp()` Configure WebApp.
`void` | `deconfigureWebApp()` DeConfigure WebApp.
`WebAppContext` | `getWebAppContext()` Get the context on which the configuration is performed.
`void` | `setWebAppContext(WebAppContext context)` Set up a context on which to perform the configuration.

Method Detail

### setWebAppContext

    void setWebAppContext(WebAppContext context)

  Set up a context on which to perform the configuration.

  Parameters:
    `context` -

### getWebAppContext

    WebAppContext getWebAppContext()

  Get the context on which the configuration is performed.

### configureClassLoader

    void configureClassLoader()
                              throws Exception

  Configure ClassPath. This method is called to configure the context ClassLoader. It is called just after a new WebAppClassLoader is constructed and before it has been used. Class paths may be added, options changed or the loader totally replaced.

  Throws:
    `Exception`

### configureDefaults

    void configureDefaults()
                           throws Exception

  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Throws:
    `Exception`

### configureWebApp

    void configureWebApp()
                         throws Exception

  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Throws:
    `Exception`

### deconfigureWebApp

    void deconfigureWebApp()
                           throws Exception

  DeConfigure WebApp. This method is called to undo all configuration done to this webapphandler. This is called to allow the context to work correctly over a stop/start cycle

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.